Makefile 27 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829
  1. # Makefile.in generated by automake 1.15 from Makefile.am.
  2. # Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2014 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. am__is_gnu_make = { \
  12. if test -z '$(MAKELEVEL)'; then \
  13. false; \
  14. elif test -n '$(MAKE_HOST)'; then \
  15. true; \
  16. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  17. true; \
  18. else \
  19. false; \
  20. fi; \
  21. }
  22. am__make_running_with_option = \
  23. case $${target_option-} in \
  24. ?) ;; \
  25. *) echo "am__make_running_with_option: internal error: invalid" \
  26. "target option '$${target_option-}' specified" >&2; \
  27. exit 1;; \
  28. esac; \
  29. has_opt=no; \
  30. sane_makeflags=$$MAKEFLAGS; \
  31. if $(am__is_gnu_make); then \
  32. sane_makeflags=$$MFLAGS; \
  33. else \
  34. case $$MAKEFLAGS in \
  35. *\\[\ \ ]*) \
  36. bs=\\; \
  37. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  38. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  39. esac; \
  40. fi; \
  41. skip_next=no; \
  42. strip_trailopt () \
  43. { \
  44. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  45. }; \
  46. for flg in $$sane_makeflags; do \
  47. test $$skip_next = yes && { skip_next=no; continue; }; \
  48. case $$flg in \
  49. *=*|--*) continue;; \
  50. -*I) strip_trailopt 'I'; skip_next=yes;; \
  51. -*I?*) strip_trailopt 'I';; \
  52. -*O) strip_trailopt 'O'; skip_next=yes;; \
  53. -*O?*) strip_trailopt 'O';; \
  54. -*l) strip_trailopt 'l'; skip_next=yes;; \
  55. -*l?*) strip_trailopt 'l';; \
  56. -[dEDm]) skip_next=yes;; \
  57. -[JT]) skip_next=yes;; \
  58. esac; \
  59. case $$flg in \
  60. *$$target_option*) has_opt=yes; break;; \
  61. esac; \
  62. done; \
  63. test $$has_opt = yes
  64. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  65. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  66. pkgdatadir = $(datadir)/sshpass
  67. pkgincludedir = $(includedir)/sshpass
  68. pkglibdir = $(libdir)/sshpass
  69. pkglibexecdir = $(libexecdir)/sshpass
  70. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  71. install_sh_DATA = $(install_sh) -c -m 644
  72. install_sh_PROGRAM = $(install_sh) -c
  73. install_sh_SCRIPT = $(install_sh) -c
  74. INSTALL_HEADER = $(INSTALL_DATA)
  75. transform = $(program_transform_name)
  76. NORMAL_INSTALL = :
  77. PRE_INSTALL = :
  78. POST_INSTALL = :
  79. NORMAL_UNINSTALL = :
  80. PRE_UNINSTALL = :
  81. POST_UNINSTALL = :
  82. bin_PROGRAMS = sshpass$(EXEEXT)
  83. subdir = .
  84. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  85. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  86. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  87. $(ACLOCAL_M4)
  88. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  89. $(am__configure_deps) $(am__DIST_COMMON)
  90. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  91. configure.lineno config.status.lineno
  92. mkinstalldirs = $(install_sh) -d
  93. CONFIG_HEADER = config.h
  94. CONFIG_CLEAN_FILES =
  95. CONFIG_CLEAN_VPATH_FILES =
  96. am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
  97. PROGRAMS = $(bin_PROGRAMS)
  98. am_sshpass_OBJECTS = main.$(OBJEXT)
  99. sshpass_OBJECTS = $(am_sshpass_OBJECTS)
  100. sshpass_LDADD = $(LDADD)
  101. AM_V_P = $(am__v_P_$(V))
  102. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  103. am__v_P_0 = false
  104. am__v_P_1 = :
  105. AM_V_GEN = $(am__v_GEN_$(V))
  106. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  107. am__v_GEN_0 = @echo " GEN " $@;
  108. am__v_GEN_1 =
  109. AM_V_at = $(am__v_at_$(V))
  110. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  111. am__v_at_0 = @
  112. am__v_at_1 =
  113. DEFAULT_INCLUDES = -I.
  114. depcomp = $(SHELL) $(top_srcdir)/depcomp
  115. am__depfiles_maybe = depfiles
  116. am__mv = mv -f
  117. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  118. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  119. AM_V_CC = $(am__v_CC_$(V))
  120. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  121. am__v_CC_0 = @echo " CC " $@;
  122. am__v_CC_1 =
  123. CCLD = $(CC)
  124. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  125. AM_V_CCLD = $(am__v_CCLD_$(V))
  126. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  127. am__v_CCLD_0 = @echo " CCLD " $@;
  128. am__v_CCLD_1 =
  129. SOURCES = $(sshpass_SOURCES)
  130. DIST_SOURCES = $(sshpass_SOURCES)
  131. am__can_run_installinfo = \
  132. case $$AM_UPDATE_INFO_DIR in \
  133. n|no|NO) false;; \
  134. *) (install-info --version) >/dev/null 2>&1;; \
  135. esac
  136. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  137. am__vpath_adj = case $$p in \
  138. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  139. *) f=$$p;; \
  140. esac;
  141. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  142. am__install_max = 40
  143. am__nobase_strip_setup = \
  144. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  145. am__nobase_strip = \
  146. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  147. am__nobase_list = $(am__nobase_strip_setup); \
  148. for p in $$list; do echo "$$p $$p"; done | \
  149. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  150. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  151. if (++n[$$2] == $(am__install_max)) \
  152. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  153. END { for (dir in files) print dir, files[dir] }'
  154. am__base_list = \
  155. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  156. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  157. am__uninstall_files_from_dir = { \
  158. test -z "$$files" \
  159. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  160. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  161. $(am__cd) "$$dir" && rm -f $$files; }; \
  162. }
  163. man1dir = $(mandir)/man1
  164. NROFF = nroff
  165. MANS = $(man_MANS)
  166. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  167. $(LISP)config.h.in
  168. # Read a list of newline-separated strings from the standard input,
  169. # and print each of them once, without duplicates. Input order is
  170. # *not* preserved.
  171. am__uniquify_input = $(AWK) '\
  172. BEGIN { nonempty = 0; } \
  173. { items[$$0] = 1; nonempty = 1; } \
  174. END { if (nonempty) { for (i in items) print i; }; } \
  175. '
  176. # Make sure the list of sources is unique. This is necessary because,
  177. # e.g., the same source file might be shared among _SOURCES variables
  178. # for different programs/libraries.
  179. am__define_uniq_tagged_files = \
  180. list='$(am__tagged_files)'; \
  181. unique=`for i in $$list; do \
  182. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  183. done | $(am__uniquify_input)`
  184. ETAGS = etags
  185. CTAGS = ctags
  186. CSCOPE = cscope
  187. AM_RECURSIVE_TARGETS = cscope
  188. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
  189. COPYING ChangeLog INSTALL NEWS README compile depcomp \
  190. install-sh missing
  191. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  192. distdir = $(PACKAGE)-$(VERSION)
  193. top_distdir = $(distdir)
  194. am__remove_distdir = \
  195. if test -d "$(distdir)"; then \
  196. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  197. && rm -rf "$(distdir)" \
  198. || { sleep 5 && rm -rf "$(distdir)"; }; \
  199. else :; fi
  200. am__post_remove_distdir = $(am__remove_distdir)
  201. DIST_ARCHIVES = $(distdir).tar.gz
  202. GZIP_ENV = --best
  203. DIST_TARGETS = dist-gzip
  204. distuninstallcheck_listfiles = find . -type f -print
  205. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  206. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  207. distcleancheck_listfiles = find . -type f -print
  208. ACLOCAL = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/missing aclocal-1.15
  209. AMTAR = $${TAR-tar}
  210. AM_DEFAULT_VERBOSITY = 1
  211. AUTOCONF = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/missing autoconf
  212. AUTOHEADER = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/missing autoheader
  213. AUTOMAKE = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/missing automake-1.15
  214. AWK = gawk
  215. CC = gcc
  216. CCDEPMODE = depmode=gcc3
  217. CFLAGS = -g -O2
  218. CPP = gcc -E
  219. CPPFLAGS =
  220. CYGPATH_W = echo
  221. DEFS = -DHAVE_CONFIG_H
  222. DEPDIR = .deps
  223. ECHO_C =
  224. ECHO_N = -n
  225. ECHO_T =
  226. EGREP = /usr/bin/grep -E
  227. EXEEXT =
  228. GREP = /usr/bin/grep
  229. INSTALL = /usr/bin/install -c
  230. INSTALL_DATA = ${INSTALL} -m 644
  231. INSTALL_PROGRAM = ${INSTALL}
  232. INSTALL_SCRIPT = ${INSTALL}
  233. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  234. LDFLAGS =
  235. LIBOBJS =
  236. LIBS =
  237. LTLIBOBJS =
  238. MAKEINFO = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/missing makeinfo
  239. MKDIR_P = /usr/bin/mkdir -p
  240. OBJEXT = o
  241. PACKAGE = sshpass
  242. PACKAGE_BUGREPORT =
  243. PACKAGE_NAME = sshpass
  244. PACKAGE_STRING = sshpass 1.06
  245. PACKAGE_TARNAME = sshpass
  246. PACKAGE_URL =
  247. PACKAGE_VERSION = 1.06
  248. PATH_SEPARATOR = :
  249. SET_MAKE =
  250. SHELL = /bin/bash
  251. STRIP =
  252. VERSION = 1.06
  253. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master
  254. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master
  255. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master
  256. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master
  257. ac_ct_CC = gcc
  258. am__include = include
  259. am__leading_dot = .
  260. am__quote =
  261. am__tar = $${TAR-tar} chof - "$$tardir"
  262. am__untar = $${TAR-tar} xf -
  263. bindir = ${exec_prefix}/bin
  264. build_alias = CC
  265. builddir = .
  266. datadir = ${datarootdir}
  267. datarootdir = ${prefix}/share
  268. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  269. dvidir = ${docdir}
  270. exec_prefix = ${prefix}
  271. host_alias = CC
  272. htmldir = ${docdir}
  273. includedir = ${prefix}/include
  274. infodir = ${datarootdir}/info
  275. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/install-sh
  276. libdir = ${exec_prefix}/lib
  277. libexecdir = ${exec_prefix}/libexec
  278. localedir = ${datarootdir}/locale
  279. localstatedir = ${prefix}/var
  280. mandir = ${datarootdir}/man
  281. mkdir_p = $(MKDIR_P)
  282. oldincludedir = /usr/include
  283. pdfdir = ${docdir}
  284. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/sshpass-master/release
  285. program_transform_name = s,x,x,
  286. psdir = ${docdir}
  287. runstatedir = ${localstatedir}/run
  288. sbindir = ${exec_prefix}/sbin
  289. sharedstatedir = ${prefix}/com
  290. srcdir = .
  291. sysconfdir = ${prefix}/etc
  292. target_alias = CC
  293. top_build_prefix =
  294. top_builddir = .
  295. top_srcdir = .
  296. man_MANS = sshpass.1
  297. EXTRA_DIST = $(man_MANS)
  298. sshpass_SOURCES = main.c
  299. all: config.h
  300. $(MAKE) $(AM_MAKEFLAGS) all-am
  301. .SUFFIXES:
  302. .SUFFIXES: .c .o .obj
  303. am--refresh: Makefile
  304. @:
  305. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  306. @for dep in $?; do \
  307. case '$(am__configure_deps)' in \
  308. *$$dep*) \
  309. echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  310. $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  311. && exit 0; \
  312. exit 1;; \
  313. esac; \
  314. done; \
  315. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  316. $(am__cd) $(top_srcdir) && \
  317. $(AUTOMAKE) --gnu Makefile
  318. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  319. @case '$?' in \
  320. *config.status*) \
  321. echo ' $(SHELL) ./config.status'; \
  322. $(SHELL) ./config.status;; \
  323. *) \
  324. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  325. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  326. esac;
  327. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  328. $(SHELL) ./config.status --recheck
  329. $(top_srcdir)/configure: $(am__configure_deps)
  330. $(am__cd) $(srcdir) && $(AUTOCONF)
  331. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  332. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  333. $(am__aclocal_m4_deps):
  334. config.h: stamp-h1
  335. @test -f $@ || rm -f stamp-h1
  336. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  337. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  338. @rm -f stamp-h1
  339. cd $(top_builddir) && $(SHELL) ./config.status config.h
  340. $(srcdir)/config.h.in: $(am__configure_deps)
  341. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  342. rm -f stamp-h1
  343. touch $@
  344. distclean-hdr:
  345. -rm -f config.h stamp-h1
  346. install-binPROGRAMS: $(bin_PROGRAMS)
  347. @$(NORMAL_INSTALL)
  348. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  349. if test -n "$$list"; then \
  350. echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  351. $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  352. fi; \
  353. for p in $$list; do echo "$$p $$p"; done | \
  354. sed 's/$(EXEEXT)$$//' | \
  355. while read p p1; do if test -f $$p \
  356. ; then echo "$$p"; echo "$$p"; else :; fi; \
  357. done | \
  358. sed -e 'p;s,.*/,,;n;h' \
  359. -e 's|.*|.|' \
  360. -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  361. sed 'N;N;N;s,\n, ,g' | \
  362. $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  363. { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  364. if ($$2 == $$4) files[d] = files[d] " " $$1; \
  365. else { print "f", $$3 "/" $$4, $$1; } } \
  366. END { for (d in files) print "f", d, files[d] }' | \
  367. while read type dir files; do \
  368. if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  369. test -z "$$files" || { \
  370. echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  371. $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  372. } \
  373. ; done
  374. uninstall-binPROGRAMS:
  375. @$(NORMAL_UNINSTALL)
  376. @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  377. files=`for p in $$list; do echo "$$p"; done | \
  378. sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  379. -e 's/$$/$(EXEEXT)/' \
  380. `; \
  381. test -n "$$list" || exit 0; \
  382. echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  383. cd "$(DESTDIR)$(bindir)" && rm -f $$files
  384. clean-binPROGRAMS:
  385. -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  386. sshpass$(EXEEXT): $(sshpass_OBJECTS) $(sshpass_DEPENDENCIES) $(EXTRA_sshpass_DEPENDENCIES)
  387. @rm -f sshpass$(EXEEXT)
  388. $(AM_V_CCLD)$(LINK) $(sshpass_OBJECTS) $(sshpass_LDADD) $(LIBS)
  389. mostlyclean-compile:
  390. -rm -f *.$(OBJEXT)
  391. distclean-compile:
  392. -rm -f *.tab.c
  393. include ./$(DEPDIR)/main.Po
  394. .c.o:
  395. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  396. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  397. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  398. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  399. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  400. .c.obj:
  401. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  402. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  403. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  404. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  405. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  406. install-man1: $(man_MANS)
  407. @$(NORMAL_INSTALL)
  408. @list1=''; \
  409. list2='$(man_MANS)'; \
  410. test -n "$(man1dir)" \
  411. && test -n "`echo $$list1$$list2`" \
  412. || exit 0; \
  413. echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  414. $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  415. { for i in $$list1; do echo "$$i"; done; \
  416. if test -n "$$list2"; then \
  417. for i in $$list2; do echo "$$i"; done \
  418. | sed -n '/\.1[a-z]*$$/p'; \
  419. fi; \
  420. } | while read p; do \
  421. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  422. echo "$$d$$p"; echo "$$p"; \
  423. done | \
  424. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  425. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  426. sed 'N;N;s,\n, ,g' | { \
  427. list=; while read file base inst; do \
  428. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  429. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  430. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  431. fi; \
  432. done; \
  433. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  434. while read files; do \
  435. test -z "$$files" || { \
  436. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  437. $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  438. done; }
  439. uninstall-man1:
  440. @$(NORMAL_UNINSTALL)
  441. @list=''; test -n "$(man1dir)" || exit 0; \
  442. files=`{ for i in $$list; do echo "$$i"; done; \
  443. l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  444. sed -n '/\.1[a-z]*$$/p'; \
  445. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  446. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  447. dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  448. ID: $(am__tagged_files)
  449. $(am__define_uniq_tagged_files); mkid -fID $$unique
  450. tags: tags-am
  451. TAGS: tags
  452. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  453. set x; \
  454. here=`pwd`; \
  455. $(am__define_uniq_tagged_files); \
  456. shift; \
  457. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  458. test -n "$$unique" || unique=$$empty_fix; \
  459. if test $$# -gt 0; then \
  460. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  461. "$$@" $$unique; \
  462. else \
  463. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  464. $$unique; \
  465. fi; \
  466. fi
  467. ctags: ctags-am
  468. CTAGS: ctags
  469. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  470. $(am__define_uniq_tagged_files); \
  471. test -z "$(CTAGS_ARGS)$$unique" \
  472. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  473. $$unique
  474. GTAGS:
  475. here=`$(am__cd) $(top_builddir) && pwd` \
  476. && $(am__cd) $(top_srcdir) \
  477. && gtags -i $(GTAGS_ARGS) "$$here"
  478. cscope: cscope.files
  479. test ! -s cscope.files \
  480. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  481. clean-cscope:
  482. -rm -f cscope.files
  483. cscope.files: clean-cscope cscopelist
  484. cscopelist: cscopelist-am
  485. cscopelist-am: $(am__tagged_files)
  486. list='$(am__tagged_files)'; \
  487. case "$(srcdir)" in \
  488. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  489. *) sdir=$(subdir)/$(srcdir) ;; \
  490. esac; \
  491. for i in $$list; do \
  492. if test -f "$$i"; then \
  493. echo "$(subdir)/$$i"; \
  494. else \
  495. echo "$$sdir/$$i"; \
  496. fi; \
  497. done >> $(top_builddir)/cscope.files
  498. distclean-tags:
  499. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  500. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  501. distdir: $(DISTFILES)
  502. $(am__remove_distdir)
  503. test -d "$(distdir)" || mkdir "$(distdir)"
  504. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  505. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  506. list='$(DISTFILES)'; \
  507. dist_files=`for file in $$list; do echo $$file; done | \
  508. sed -e "s|^$$srcdirstrip/||;t" \
  509. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  510. case $$dist_files in \
  511. */*) $(MKDIR_P) `echo "$$dist_files" | \
  512. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  513. sort -u` ;; \
  514. esac; \
  515. for file in $$dist_files; do \
  516. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  517. if test -d $$d/$$file; then \
  518. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  519. if test -d "$(distdir)/$$file"; then \
  520. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  521. fi; \
  522. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  523. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  524. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  525. fi; \
  526. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  527. else \
  528. test -f "$(distdir)/$$file" \
  529. || cp -p $$d/$$file "$(distdir)/$$file" \
  530. || exit 1; \
  531. fi; \
  532. done
  533. -test -n "$(am__skip_mode_fix)" \
  534. || find "$(distdir)" -type d ! -perm -755 \
  535. -exec chmod u+rwx,go+rx {} \; -o \
  536. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  537. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  538. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  539. || chmod -R a+r "$(distdir)"
  540. dist-gzip: distdir
  541. tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  542. $(am__post_remove_distdir)
  543. dist-bzip2: distdir
  544. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  545. $(am__post_remove_distdir)
  546. dist-lzip: distdir
  547. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  548. $(am__post_remove_distdir)
  549. dist-xz: distdir
  550. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  551. $(am__post_remove_distdir)
  552. dist-tarZ: distdir
  553. @echo WARNING: "Support for distribution archives compressed with" \
  554. "legacy program 'compress' is deprecated." >&2
  555. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  556. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  557. $(am__post_remove_distdir)
  558. dist-shar: distdir
  559. @echo WARNING: "Support for shar distribution archives is" \
  560. "deprecated." >&2
  561. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  562. shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  563. $(am__post_remove_distdir)
  564. dist-zip: distdir
  565. -rm -f $(distdir).zip
  566. zip -rq $(distdir).zip $(distdir)
  567. $(am__post_remove_distdir)
  568. dist dist-all:
  569. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  570. $(am__post_remove_distdir)
  571. # This target untars the dist file and tries a VPATH configuration. Then
  572. # it guarantees that the distribution is self-contained by making another
  573. # tarfile.
  574. distcheck: dist
  575. case '$(DIST_ARCHIVES)' in \
  576. *.tar.gz*) \
  577. GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  578. *.tar.bz2*) \
  579. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  580. *.tar.lz*) \
  581. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  582. *.tar.xz*) \
  583. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  584. *.tar.Z*) \
  585. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  586. *.shar.gz*) \
  587. GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  588. *.zip*) \
  589. unzip $(distdir).zip ;;\
  590. esac
  591. chmod -R a-w $(distdir)
  592. chmod u+w $(distdir)
  593. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  594. chmod a-w $(distdir)
  595. test -d $(distdir)/_build || exit 0; \
  596. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  597. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  598. && am__cwd=`pwd` \
  599. && $(am__cd) $(distdir)/_build/sub \
  600. && ../../configure \
  601. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  602. $(DISTCHECK_CONFIGURE_FLAGS) \
  603. --srcdir=../.. --prefix="$$dc_install_base" \
  604. && $(MAKE) $(AM_MAKEFLAGS) \
  605. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  606. && $(MAKE) $(AM_MAKEFLAGS) check \
  607. && $(MAKE) $(AM_MAKEFLAGS) install \
  608. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  609. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  610. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  611. distuninstallcheck \
  612. && chmod -R a-w "$$dc_install_base" \
  613. && ({ \
  614. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  615. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  616. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  617. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  618. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  619. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  620. && rm -rf "$$dc_destdir" \
  621. && $(MAKE) $(AM_MAKEFLAGS) dist \
  622. && rm -rf $(DIST_ARCHIVES) \
  623. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  624. && cd "$$am__cwd" \
  625. || exit 1
  626. $(am__post_remove_distdir)
  627. @(echo "$(distdir) archives ready for distribution: "; \
  628. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  629. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  630. distuninstallcheck:
  631. @test -n '$(distuninstallcheck_dir)' || { \
  632. echo 'ERROR: trying to run $@ with an empty' \
  633. '$$(distuninstallcheck_dir)' >&2; \
  634. exit 1; \
  635. }; \
  636. $(am__cd) '$(distuninstallcheck_dir)' || { \
  637. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  638. exit 1; \
  639. }; \
  640. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  641. || { echo "ERROR: files left after uninstall:" ; \
  642. if test -n "$(DESTDIR)"; then \
  643. echo " (check DESTDIR support)"; \
  644. fi ; \
  645. $(distuninstallcheck_listfiles) ; \
  646. exit 1; } >&2
  647. distcleancheck: distclean
  648. @if test '$(srcdir)' = . ; then \
  649. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  650. exit 1 ; \
  651. fi
  652. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  653. || { echo "ERROR: files left in build directory after distclean:" ; \
  654. $(distcleancheck_listfiles) ; \
  655. exit 1; } >&2
  656. check-am: all-am
  657. check: check-am
  658. all-am: Makefile $(PROGRAMS) $(MANS) config.h
  659. installdirs:
  660. for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
  661. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  662. done
  663. install: install-am
  664. install-exec: install-exec-am
  665. install-data: install-data-am
  666. uninstall: uninstall-am
  667. install-am: all-am
  668. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  669. installcheck: installcheck-am
  670. install-strip:
  671. if test -z '$(STRIP)'; then \
  672. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  673. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  674. install; \
  675. else \
  676. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  677. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  678. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  679. fi
  680. mostlyclean-generic:
  681. clean-generic:
  682. distclean-generic:
  683. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  684. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  685. maintainer-clean-generic:
  686. @echo "This command is intended for maintainers to use"
  687. @echo "it deletes files that may require special tools to rebuild."
  688. clean: clean-am
  689. clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  690. distclean: distclean-am
  691. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  692. -rm -rf ./$(DEPDIR)
  693. -rm -f Makefile
  694. distclean-am: clean-am distclean-compile distclean-generic \
  695. distclean-hdr distclean-tags
  696. dvi: dvi-am
  697. dvi-am:
  698. html: html-am
  699. html-am:
  700. info: info-am
  701. info-am:
  702. install-data-am: install-man
  703. install-dvi: install-dvi-am
  704. install-dvi-am:
  705. install-exec-am: install-binPROGRAMS
  706. install-html: install-html-am
  707. install-html-am:
  708. install-info: install-info-am
  709. install-info-am:
  710. install-man: install-man1
  711. install-pdf: install-pdf-am
  712. install-pdf-am:
  713. install-ps: install-ps-am
  714. install-ps-am:
  715. installcheck-am:
  716. maintainer-clean: maintainer-clean-am
  717. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  718. -rm -rf $(top_srcdir)/autom4te.cache
  719. -rm -rf ./$(DEPDIR)
  720. -rm -f Makefile
  721. maintainer-clean-am: distclean-am maintainer-clean-generic
  722. mostlyclean: mostlyclean-am
  723. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  724. pdf: pdf-am
  725. pdf-am:
  726. ps: ps-am
  727. ps-am:
  728. uninstall-am: uninstall-binPROGRAMS uninstall-man
  729. uninstall-man: uninstall-man1
  730. .MAKE: all install-am install-strip
  731. .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  732. clean-binPROGRAMS clean-cscope clean-generic cscope \
  733. cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  734. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  735. distcheck distclean distclean-compile distclean-generic \
  736. distclean-hdr distclean-tags distcleancheck distdir \
  737. distuninstallcheck dvi dvi-am html html-am info info-am \
  738. install install-am install-binPROGRAMS install-data \
  739. install-data-am install-dvi install-dvi-am install-exec \
  740. install-exec-am install-html install-html-am install-info \
  741. install-info-am install-man install-man1 install-pdf \
  742. install-pdf-am install-ps install-ps-am install-strip \
  743. installcheck installcheck-am installdirs maintainer-clean \
  744. maintainer-clean-generic mostlyclean mostlyclean-compile \
  745. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  746. uninstall-am uninstall-binPROGRAMS uninstall-man \
  747. uninstall-man1
  748. .PRECIOUS: Makefile
  749. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  750. # Otherwise a system limit (for SysV at least) may be exceeded.
  751. .NOEXPORT: